gnutls_x509_crq_print(3)

NAME
gnutls_x509_crq_print - Pretty print PKCS 10 certificate request

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crq_print(gnutls_x509_crq_t crq, gnutls_certificate_print_formats_t format, gnutls_datum_t * out);

ARGUMENTS

gnutls_x509_crq_t crq
    The structure to be printed

gnutls_certificate_print_formats_t format
    Indicate the format to use

gnutls_datum_t * out
    Newly allocated datum with zero terminated string.

DESCRIPTION
This function will pretty print a certificate request, suitable for display to a human. The output out needs to be deallocate using gnutls_free().

RETURNS
On success, GNUTLS_E_SUCCESS is returned, otherwise a negative error value.

SINCE
2.8.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.